/**
 * Created by Administrator on 2017/8/15.
 */
(function () {
    var glo_cardnum;
    var glo_cardcvc;
    var ccnum  = document.getElementById('funiu-cc-number'),
        month  = document.getElementById('funiu-cc-expires-month'),
        year   = document.getElementById('funiu-cc-expires-year'),
        cvc    = document.getElementById('funiu-cc-cvv');
    payform.cardNumberInput(ccnum);
	payform.cvcInput(cvc);
    if (typeof document.addEventListener != "undefined") {
        ccnum.addEventListener('input', updateType);
        cvc.addEventListener('input', updatecvc);
		month.addEventListener('change',updateExpiry);
		year.addEventListener('change',updateExpiry);
    } else {
        ccnum.attachEvent('onpropertychange', updateType);
        cvc.attachEvent('onpropertychange', updatecvc);
    }
    function updateType(e) {
        evnt = e || window.event || arguments.callee.caller.arguments[0];
        var evntsrc = evnt.srcElement;
        if (!evntsrc) {
            evntsrc = evnt.target;
        }
        var cardType = payform.parseCardType(evntsrc.value);

        if (evntsrc.value == glo_cardnum) {
            return;
        }
        glo_cardnum = evntsrc.value;
        if (cardType) {
            if (payform.validateCardNumber(evntsrc.value)) {
                ccnum.style.borderStyle = "solid";//边框样式
                ccnum.style.borderColor = "#238E23";//边框颜色
                ccnum.style.borderWidth = "1px";//边框宽度
            } else {
                ccnum.style.borderStyle = "solid";//边框样式
                ccnum.style.borderColor = "#ff0000";//边框颜色
                ccnum.style.borderWidth = "1px";//边框宽度
            }
        }else {
            ccnum.style.borderStyle = "solid";//边框样式
            ccnum.style.borderColor = "#ff0000";//边框颜色
            ccnum.style.borderWidth = "1px";//边框宽度
        }
    }

    function updatecvc(e) {
        evnt = e || window.event || arguments.callee.caller.arguments[0];
        var evntsrc = evnt.srcElement;
        if (!evntsrc) {
            evntsrc = evnt.target;
        }
        var cardcvc = evntsrc.value;

        if (evntsrc.value == glo_cardcvc) {
            return;
        }
        glo_cardcvc = cardcvc;

        if (cardcvc.length > 4) {
            return false;
        }
        var cardnum = document.getElementById("funiu-cc-number").value;
        if (payform.validateCardCVC(cardcvc, cardnum)) {
            cvc.style.borderStyle = "solid";//边框样式
            cvc.style.borderColor = "#238E23";//边框颜色
            cvc.style.borderWidth = "1px";//边框宽度
        } else {
            cvc.style.borderStyle = "solid";//边框样式
            cvc.style.borderColor = "#ff0000";//边框颜色
            cvc.style.borderWidth = "1px";//边框宽度
        }
    }

	String.prototype.trim = function () {
		return this.replace(/^\s\s*/, '').replace(/\s\s*$/, '');
	}

	function validateCardExpiry(month, year) {
		var currentTime, expiry, ref;
		if (typeof month === 'object' && 'month' in month) {
			ref = month, month = ref.month, year = ref.year;
		}
		if (!(month && year)) {
			return false;
		}
		month = String(month).trim();
		year = String(year).trim();
		if (!/^\d+$/.test(month)) {
			return false;
		}
		if (!/^\d+$/.test(year)) {
			return false;
		}
		if (!((1 <= month && month <= 12))) {
			return false;
		}
		if (year.length === 2) {
			if (year < 70) {
				year = "20" + year;
			} else {
				year = "19" + year;
			}
		}
		if (year.length !== 4) {
			return false;
		}
		expiry = new Date(year, month);
		currentTime = new Date;
		expiry.setMonth(expiry.getMonth() - 1);
		expiry.setMonth(expiry.getMonth() + 1, 1);
		return expiry > currentTime;
	}

	function InputErr(input) {
		document.getElementById(input).style.borderStyle = "solid";//边框样式
		document.getElementById(input).style.borderColor = "#ff0000";//边框颜色
		document.getElementById(input).style.borderWidth = "1px";//边框宽度
	}

	function InputRight(input) {
		document.getElementById(input).style.borderStyle = "solid";//边框样式
		document.getElementById(input).style.borderColor = "#238E23";//边框颜色
		document.getElementById(input).style.borderWidth = "1px";//边框宽度
	}

	function updateExpiry() {
		var month = document.getElementById('funiu-cc-expires-month').value;
		var year = document.getElementById('funiu-cc-expires-year').value;
		if (validateCardExpiry(month, year)) {
			InputRight("funiu-cc-expires-year");
			InputRight("funiu-cc-expires-month");
		}else {
			InputErr("funiu-cc-expires-year");
			InputErr("funiu-cc-expires-month");
		}
	}

	function checkInit() {
		document.getElementById("funiu-cc-resolution").value = getScreen();
		document.getElementById("funiu-cc-timezone").value = getTimezone();
		document.getElementById("funiu-cc-os").value = getOS();
		if (typeof returnCitySN != "undefined"){
			document.getElementById('funiu-cc-ip').value=returnCitySN.cip;
		}
	}
	function getScreen() {
		return window.screen.width + "*" + window.screen.height;
	}
	function getTimezone() {
		return new Date().getTimezoneOffset() / 60 * (-1);
	}
	function getOS() {
		var sUserAgent = navigator.userAgent;
		var isWin = (navigator.platform == "Win32")
			|| (navigator.platform == "Windows");
		var isMac = (navigator.platform == "Mac68K")
			|| (navigator.platform == "MacPPC")
			|| (navigator.platform == "Macintosh")
			|| (navigator.platform == "MacIntel");
		if (isMac)
			return "Mac";
		var isUnix = (navigator.platform == "X11") && !isWin && !isMac;
		if (isUnix)
			return "Unix";
		var isLinux = (String(navigator.platform).indexOf("Linux") > -1);
		if (isLinux)
			return "Linux";
		if (isWin) {
			var isWin2K = sUserAgent.indexOf("Windows NT 5.0") > -1
				|| sUserAgent.indexOf("Windows 2000") > -1;
			if (isWin2K)
				return "Win2000";
			var isWinXP = sUserAgent.indexOf("Windows NT 5.1") > -1
				|| sUserAgent.indexOf("Windows XP") > -1;
			if (isWinXP)
				return "WinXP";
			var isWin2003 = sUserAgent.indexOf("Windows NT 5.2") > -1
				|| sUserAgent.indexOf("Windows 2003") > -1;
			if (isWin2003)
				return "Win2003";
			var isWin2003 = sUserAgent.indexOf("Windows NT 6.0") > -1
				|| sUserAgent.indexOf("Windows Vista") > -1;
			if (isWin2003)
				return "WinVista";
			var isWin2003 = sUserAgent.indexOf("Windows NT 6.1") > -1
				|| sUserAgent.indexOf("Windows 7") > -1;
			if (isWin2003)
				return "Win7";
		}
		return "None";
	}
	checkInit();

})();
function popupWindow(url) {window.open(url,'popupWindow','toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=yes,copyhistory=no,width=550,height=550,screenX=150,screenY=100,top=100,left=150')}
function methodSelect(theMethod) {if (document.getElementById(theMethod)) {document.getElementById(theMethod).checked = 'checked';}}

