
/*
 * msgBox 弹出层 [支持ID和框架形式]
 * author     yangjinjin
 * id         元素ID(为空可嵌入外链页面)
 * w          要显示的弹出层宽度
 * h         要显示的弹出层高度
 * url        外部链接地址
*/
/* function setIframeHeight(iframe) {
	if (iframe) {
		var iframeWin = iframe.contentWindow || iframe.contentDocument.parentWindow;
		if (iframeWin.document.body) {
			iframe.height = iframeWin.document.documentElement.scrollHeight || iframeWin.document.body.scrollHeight;
		}
	}
}; */
var msgBox = {
    temp:'',    
    show: function(options){
        this.pageid  = options["id"] || null;
        this.width   = options["w"] || 630;
        this.height  = options["h"] || 440;
        this.pageurl = options["url"] || "";
        this.isMobile = options["isMobile"] || 0;
		this.params = options["params"] || null;
		this.method = options["method"] || null;
        try {
			var ran = Math.round(Math.random()*1000);
            if(typeof document.body.style.maxHeight === "undefined"){
                $("body","html").css({height:"100%", width:"100%"});
                $("html").css("overflow", "hidden");
                if(document.getElementById("TB_HideSelect") === null){
                    $("body").append("<iframe id='TB_HideSelect'></iframe><div id='TB_overlay'></div><div id='TB_window'></div>");
                }
            }else{
                if(document.getElementById("TB_overlay") === null){
					if(this.isMobile)
						$("body").append("<div id='TB_overlay'><img src='https://payment.139.mx/images/loading.gif'/></div><div id='TB_window' style='top: 0;left: 0;width: 100%;height: 100%;bottom: 0;right: 0;'></div>");
					else
						$("body").append("<div id='TB_overlay'><img src='https://payment.139.mx/images/loading.gif'/></div><div id='TB_window'></div>");
                }
            }
            if(!this.isMobile)
				$(window).scroll(this.position); //实现随滚动条滚动
            if(this.pageurl != ""){
				
				if(this.isMobile)
					$("#TB_window").append("<iframe class='_iframe' frameborder='0' hspace='0' id='TB_iframeContent' name='TB_iframeContent"+ ran +
					"' width:"+ this.width +" height:"+ this.height+" webkitallowfullscreen='' mozallowfullscreen='' allowfullscreen='' style='width: 100%;height: 100%;border-radius:0;'></iframe>");
				else
					$("#TB_window").append("<iframe class='_iframe' frameborder='0' hspace='0' id='TB_iframeContent' name='TB_iframeContent"+ ran +
					"' width:"+ this.width +" height:"+ this.height+" webkitallowfullscreen='' mozallowfullscreen='' allowfullscreen=''></iframe>");
				
				var iframe = document.getElementById('TB_iframeContent');
				if (iframe){
					iframe.onload = function(){
					    //$("#TB_overlay img").remove();
					};
				}
            }else{
                $("#TB_window").append('<table width="100%" border="0" cellpadding="0" cellspacing="0"><tr><td>' + $("#" + this.pageid).html() + '</td></tr></table>');    
                this.temp = '<div id="'+this.pageid +'" style="display:none;">'+ $("#" + this.pageid).html()+'</div>';
                $("#" + this.pageid).remove();                
            }
            if(!this.isMobile){
                this.position(); //设置弹出层所在位置
                $("#TB_window").css({opacity: "0"});
            }
            $("#TB_window").css({display: "block"});
            var t = this;
            $(".TB_closeBtn,#TB_closeBtn").click(function(){
                t.remove();
            });
			this.createAndSubmitForm(this.method, "TB_iframeContent"+ ran , this.pageurl, this.params);
        } catch(e) {
            throw e;
        }
    },
	createElementWithAttributes : function (tag, attrs) {
        var elem = document.createElement(tag);
        if (!attrs) {
            return elem;
        }

        Object.keys(attrs).forEach(function (name) {
            elem.setAttribute(name, attrs[name]);
        });

        return elem;
    },
    createAndSubmitForm : function(method, name, action, data) {
        var form = this.createElementWithAttributes('form', {
			target: name,
            method: method,
            action: action,
            style: 'display: none'
        });

        if (typeof data === 'string') {
            form.innerHTML = data;
        } else {
			var _this = this;
            Object.keys(data).forEach(function (key) {
                var field = _this.createElementWithAttributes('input', {
                    type: 'hidden',
                    name: key,
                    value: data[key]
                });

                form.appendChild(field);
            });
        }

        var formRef = document.body.appendChild(form);
        formRef.submit();
    },
    remove: function() {
        $(".TB_closeBtn,#TB_closeBtn").unbind("click");
        if(this.temp){
            $("body").append(this.temp);
            this.temp='';
        }
        $("#TB_window,#TB_overlay,#TB_HideSelect").remove();
        $("body","html").css({height: "auto", width: "auto"});
        $("html").css("overflow", "");
        
        document.onkeydown = "";
        document.onkeyup = "";
        return false;
    },
    position: function(){        
        $("#TB_window").css({marginLeft: "-" + parseInt((this.width / 2),10) + "px", width: this.width + "px"});
        if(!(jQuery.browser.msie && jQuery.browser.version < 7)){ // take away IE6
            $("#TB_window").css({marginTop: "-" + parseInt((this.height / 2),10) + "px"});
        }
    },
	setSize:function(w,h){
        if(!this.isMobile)
            this.showBox();
		this.width=w;
		this.height=h;
		console.log("set iframe size:"+w+"x"+h);
		var iframe = document.getElementById('TB_iframeContent');
		if (iframe){
			iframe.height = h;
			iframe.width = w;
		}
		this.position();
	},
    showBox:function(){
        $("#TB_window").css({opacity: "1"});
    }


};